import { Container } from "pixi.js";

export class Game {
    constructor() {
        this._difficulty = 1;
        this.won = false;
        this.gameContainer = new Container(); // main container, to add the game to a node, add this container as a child
        this.gameContainer.layout = true;
    }

    /* should reset the game to its initial position*/
    reset() {
        this.won = false;
    }

    /* start the game */
    start() {
        this.reset();
    }

    /* status indicates if its a win or a loss */
    end(status) {
        this.win = status;
        console.log(status ? "game won" : "game lost");
        // we probably want to call a callback here
    }
}
